{ pkgs, ... }:

{
  home.packages = with pkgs; [
    eza    
    bat
  ];

  home.shellAliases = {
    ls = "eza";   
  };

  programs.bash = {
    enable = false;
  };

  programs.zsh = {
    enable = true;
    enableCompletion = true;
    autosuggestion.enable = true;
    syntaxHighlighting.enable = true;
  };

  programs.starship = {
    enable = true;
    enableBashIntegration = true;
    enableZshIntegration = true;
  };
}
